<div class="input-field">
    <i *ngIf="hasIcon" class="material-icons prefix">vpn_key</i>
    <input [(ngModel)]="passwordView" (keyup)="onKey($event)" type="text" class="validate" [disabled] = "isDisabled">
    <a class="floatBtn" (click)="toggleShowPassword()" [ngClass]="{'disable-icon': isDisabled}">
        <i *ngIf="!showPass" class="material-icons">visibility_off</i>
        <i *ngIf="showPass" class="material-icons">visibility</i>
    </a>
    <label *ngIf="hasPlaceHolder" for="icon_prefix">{{placeHolder}}</label>
    <span *ngIf="hasMessage" class="helper-text" data-error="wrong" data-success="right">{{error_message}}</span>
</div>

